2019-10-16 00:37 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001786FSSCP---------public2008-10-01 02:51
Reporterchief1983 
Assigned Tokarajorma 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001786: Attn Goober/KeldorKatarn: Commit 4833 breaks compiling on OS X
Descriptionxcodebuild output:

fs2_open/projects/My_Xcode/../../code/ai/aicode.cpp: In function 'void attack_set_accel(ai_info*, float, float, float)':
fs2_open/projects/My_Xcode/../../code/ai/aicode.cpp:7610: error: 'min' was not declared in this scope
** BUILD FAILED **
Additional InformationThis is why my OS X Nightly builds weren't showing up the last couple of evenings. Blowfish suggested changing min to MIN, but I'm not sure that's the same function on all platforms either, so I figured I would ask that one of you look closer at this.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009742

taylor (administrator)

It is supposed to be MIN (or MAX as the case may be).

~0009743

KeldorKatarn (reporter)

Well I don't have write access to SVN. Goober is working on some other issues though anyway. Someone tell him to fix this in the next commit.

~0009744

chief1983 (administrator)

I pointed this out to him when I submitted, I figured he might be busy though and just wanted to make sure it wasn't forgotten since it's actually breaking Linux compiling too. Windows is the only one not affected for some reason, or at least VS2008.

~0009745

karajorma (administrator)

Changed that line. I'll have to wait for someone on OSX to tell me if it worked or not though.

~0009749

chief1983 (administrator)

Compiling has been fixed as of 4841. Thanks Karajorma. Anyone may close.
+Notes

-Issue History
Date Modified Username Field Change
2008-09-29 17:28 chief1983 New Issue
2008-09-29 17:41 taylor Note Added: 0009742
2008-09-29 20:15 KeldorKatarn Note Added: 0009743
2008-09-29 21:24 chief1983 Note Added: 0009744
2008-09-30 11:53 karajorma Note Added: 0009745
2008-09-30 19:20 chief1983 Note Added: 0009749
2008-10-01 02:51 karajorma Status new => resolved
2008-10-01 02:51 karajorma Fixed in Version => 3.6.10
2008-10-01 02:51 karajorma Resolution open => fixed
2008-10-01 02:51 karajorma Assigned To => karajorma
+Issue History